%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major 0
%define api 0.3
%define libname %mklibname %{name} %{api} %{major}
%define girname %mklibname %{name}-gir %{api}
%define develname %mklibname -d %{name}

Name:		gegl
Version:	0.3.14
Release:	%mkrel 1
Summary:	GEGL (Generic Graphics Library) - graph based image processing framework
Group:		System/Libraries
License:	LGPLv3+
URL:		http://www.gegl.org/
Source0:	http://ftp.gimp.org/pub/gegl/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		gegl-0.3.4-soname.patch
Patch1:		gegl-0.3.4-linking.patch
Patch2:		0001-build-move-G_LOG_DOMAIN-define-to-a-Makefile.am-as-s.patch
BuildRequires:	pkgconfig(babl) >= 0.1.12
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(lensfun)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libspiro)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(lua) >= 5.1
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(pygobject-2.0)
BuildRequires:	asciidoc
BuildRequires:	enscript
BuildRequires:	gobject-introspection-devel
BuildRequires:	graphviz
BuildRequires:	jpeg-devel
BuildRequires:	ruby
BuildRequires:	locales
BuildRequires:	SDL-devel
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(vapigen)

%description
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.


%package -n     %{libname}
Summary:        A library for %{name}
Group:          System/Libraries

%description -n %{libname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n     %{develname}
Summary:        Header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gegl0.1-devel < %{version}-%{release}

%description -n %{develname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export LC_ALL=UTF-8
autoreconf -vfi
%configure2_5x --disable-workshop
make

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%find_lang gegl-%{api}

%files -f gegl-%{api}.lang
%{_bindir}/gegl
%{_bindir}/gegl-imgcmp

%files -n %{libname}
%doc README AUTHORS NEWS
/usr/lib/libgegl-0.3.so.0
/usr/lib/libgegl-0.3.so.0.314.0
/usr/lib/libgegl-npd-0.3.so.0
/usr/lib/libgegl-npd-0.3.so.0.314.0
/usr/lib/libgegl-sc-0.3.so.0
/usr/lib/libgegl-sc-0.3.so.0.314.0
%{_libdir}/gegl-%{api}/

%files -n %{girname}
%{_libdir}/girepository-1.0/Gegl-%{api}.typelib

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/gegl/
%{_libdir}/*.so
%{_includedir}/gegl-%{api}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Gegl-%{api}.gir
%{_datadir}/vala/vapi/gegl-%{api}.*



%changelog
* Sat Jun 17 2017 adrianomorselli <adrianomorselli> 0.3.14-1uplos2017
- update
